=== debian/changelog ===
dyssol (1.0.2+ds2-1) unstable; urgency=medium

  * [d82dfde] New upstream version 1.0.2+ds1
  * [9610e1e] Disable bunker-test
  * [dc0f112] Add basic tests

 -- Anton Gladky <gladk@debian.org>  Thu, 10 Feb 2022 21:50:40 +0100

dyssol (1.0.0+ds1-1) unstable; urgency=medium

  * Initial import (Closes: #1000409)

 -- Anton Gladky <gladk@debian.org>  Sat, 08 Jan 2022 18:03:31 +0100
