## dyssol 1.1.0+ds1

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 cmake_minimum_required(VERSION 3.1.0)
 
-set (VERSION 1.0.0)
+set (VERSION 1.1.0)
 set (SOVERSION 1.0)
 
 set(CMAKE_CXX_STANDARD 17)
@@ -123,7 +123,9 @@
   "Unit_Crusher_Cone"
   "Unit_Crusher_Const"
   "Unit_Crusher_PBMTM"
+  "Unit_Cyclone_Muschelknautz"
   "Unit_Granulator"
+  "Unit_GranulatorSimpleBatch"
   "Unit_Mixer"
   "Unit_Screen_Molerus"
   "Unit_Screen_Multideck"
@@ -166,9 +168,8 @@
 ADD_CUSTOM_COMMAND(
                   TARGET doc PRE_BUILD
                   COMMAND rm -rf ${CMAKE_BINARY_DIR}/doc/sphinx/_build
+                  COMMAND sphinx-build -b linkcheck ${CMAKE_SOURCE_DIR}/DocumentationSphinx/ ${CMAKE_BINARY_DIR}/doc/sphinx/_build/html
                   COMMAND sphinx-build -b html ${CMAKE_SOURCE_DIR}/DocumentationSphinx/ ${CMAKE_BINARY_DIR}/doc/sphinx/_build/html
-                  COMMAND sphinx-build -b latex ${CMAKE_SOURCE_DIR}/DocumentationSphinx/ ${CMAKE_BINARY_DIR}/doc/sphinx/_build/latex
-                  COMMAND cd ${CMAKE_BINARY_DIR}/doc/sphinx/_build/latex && xelatex DyssolHelpDoc.tex && cd ${CMAKE_BINARY_DIR}
                   COMMAND mkdir -p ${INSTALL_DOCS_PATH}/sphinx/
                   COMMAND cp -r ${CMAKE_BINARY_DIR}/doc/sphinx/_build/html ${INSTALL_DOCS_PATH}/sphinx/
                   )
