=== debian/changelog ===
dyssol (1.1.0+ds1-3) unstable; urgency=medium

  * [1db41e8] Disable linkcheck. (Closes: #1027467)

 -- Anton Gladky <gladk@debian.org>  Sun, 29 Jan 2023 22:34:21 +0100

dyssol (1.1.0+ds1-2) unstable; urgency=medium

  * [10a4f97] Set upstream metadata fields: Bug-Database, Bug-Submit.
  * [2055f30] Update standards version to 4.6.2, no changes needed.
  * [b391564] Replace libhdf5-serial-dev by libhdf5-dev in BD
  * [03ea384] Do not check external links. (Closes: #1027467)

 -- Anton Gladky <gladk@debian.org>  Fri, 13 Jan 2023 07:23:03 +0100

dyssol (1.1.0+ds1-1) unstable; urgency=medium

  * [875d227] New upstream version 1.1.0+ds1. (Closes: #1025757)
  * [74703be] Refresh/remove patches.
  * [4a6fc55] Fix doc install.
  * [b477226] Update standards version to 4.6.1, no changes needed.
  * [334b805] Avoid explicitly specifying -Wl,--as-needed linker flag.

 -- Anton Gladky <gladk@debian.org>  Wed, 28 Dec 2022 23:23:51 +0100
