## dyssol 1.1.1%2Bds1

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,22 @@
 Source: dyssol
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Anton Gladky <gladk@debian.org>
 Section: science
 Priority: optional
-Build-Depends: cmake,
+Build-Depends: dpkg-dev (>= 1.22.5), cmake,
                debhelper-compat (= 13),
                libgraphviz-dev,
-               libhdf5-serial-dev,
+               libhdf5-dev,
                libsundials-dev,
                libqt5opengl5-dev,
                zlib1g-dev
 Build-Depends-Indep: python3-sphinx,
+                     python3-sphinx-rtd-theme,
                      texlive-xetex,
                      tex-gyre,
                      texlive-fonts-recommended
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/science-team/dyssol
 Vcs-Git: https://salsa.debian.org/science-team/dyssol.git
 Homepage: https://github.com/FlowsheetSimulation/Dyssol-open
@@ -22,7 +24,7 @@
 Package: dyssol
 Architecture: any
 Multi-Arch: foreign
-Depends: libdyssol1.0 (= ${binary:Version}),
+Depends: libdyssol1.0t64 (= ${binary:Version}),
          dyssol-data,
          ${misc:Depends},
          ${shlibs:Depends}
@@ -37,7 +39,7 @@
 Package: dyssol-gui
 Architecture: any
 Multi-Arch: foreign
-Depends: libdyssol1.0 (= ${binary:Version}),
+Depends: libdyssol1.0t64 (= ${binary:Version}),
          dyssol-data,
          ${misc:Depends},
          ${shlibs:Depends}
@@ -52,7 +54,7 @@
 Package: libdyssol-dev
 Architecture: any
 Section: libdevel
-Depends: libdyssol1.0 (= ${binary:Version}),
+Depends: libdyssol1.0t64 (= ${binary:Version}),
          ${misc:Depends}
 Description: Tool for dynamic flowsheet simulation. Development files nad headers
  Dynamic simulation of solids processes, is a dynamic flowsheet modelling system
@@ -61,7 +63,10 @@
  .
  This package contains dyssol`s development files nad headers
 
-Package: libdyssol1.0
+Package: libdyssol1.0t64
+Provides: ${t64:Provides}
+Replaces: libdyssol1.0
+Breaks: libdyssol1.0 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends},
@@ -76,8 +81,8 @@
 
 Package: dyssol-data
 Architecture: all
+Depends: ${misc:Depends}
 Recommends: dyssol
-Depends: ${misc:Depends}
 Description: Tool for dynamic flowsheet simulation. Data files
  Dynamic simulation of solids processes, is a dynamic flowsheet modelling system
  designed to simulate the time-dependent behaviour  of complex production
