=== Units/CMakeLists.txt ===
--- 
+++ 
@@ -6,8 +6,9 @@
     "Bunker"
     "Crusher"
     "CrusherPBMTM"
-    "Cyclone2"
+    "CycloneMuschelknautz"
     "Granulator"
+    "GranulatorSimpleBatch"
     "HeatExchanger"
     "Inlet"
     "Mixer"
