=== debian/changelog ===
dyssol (1.1.1+ds1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062513

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Wed, 28 Feb 2024 02:34:31 +0000

dyssol (1.1.1+ds1-2) unstable; urgency=medium

  * [82746dc] Add missing headers. (Closes: #1037636)

 -- Anton Gladky <gladk@debian.org>  Mon, 04 Sep 2023 06:01:04 +0200

dyssol (1.1.1+ds1-1) unstable; urgency=medium

  * [d57b7e7] New upstream version 1.1.1+ds1
  * [8e83aca] Refresh patches

 -- Anton Gladky <gladk@debian.org>  Sun, 09 Apr 2023 22:20:55 +0200
