=== debian/changelog ===
dyssol (1.4.0-2) unstable; urgency=medium

  * [48a73fe] Do not set MPI definition.
  * [58dd866] Enable i386 build in CI.
  * [8bbbeba] Fix compilation on 32-bit platform.
  * [77386ac] Do not fail if the difference is zero.
  * [ced3553] Disable one unreliable unit granulator test.
  * [1cda524] Rename patches.

 -- Anton Gladky <gladk@debian.org>  Wed, 07 May 2025 07:10:27 +0200

dyssol (1.4.0-1) unstable; urgency=medium

  * [ed4041c] Update d/copyright
  * [8c60b2e] New upstream version 1.4.0. (Closes: #1082562)
  * [f197dcf] Update patches
  * [c590856] Update d/control and d/rules
  * [713c8f7] Update docs-file
  * [d35c929] Do not use rpath
  * [dac10e5] Apply cme fix dpkg

 -- Anton Gladky <gladk@debian.org>  Sun, 04 May 2025 17:22:21 +0200

dyssol (1.1.1+ds1-2.1) experimental; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Thu, 01 Feb 2024 17:57:56 +0000
