=== debian/control ===
--- 
+++ 
@@ -3,19 +3,21 @@
 Uploaders: Anton Gladky <gladk@debian.org>
 Section: science
 Priority: optional
-Build-Depends: dpkg-dev (>= 1.22.5), cmake,
+Build-Depends: cmake,
                debhelper-compat (= 13),
                libgraphviz-dev,
                libhdf5-dev,
                libsundials-dev,
                libqt5opengl5-dev,
-               zlib1g-dev
-Build-Depends-Indep: python3-sphinx,
-                     python3-sphinx-rtd-theme,
-                     texlive-xetex,
-                     tex-gyre,
-                     texlive-fonts-recommended
-Standards-Version: 4.6.2
+               zlib1g-dev,
+               python3-sphinx,
+               python3-sphinx-rtd-theme,
+               python3-breathe,
+               doxygen,
+               texlive-xetex,
+               tex-gyre,
+               texlive-fonts-recommended
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/science-team/dyssol
 Vcs-Git: https://salsa.debian.org/science-team/dyssol.git
 Homepage: https://github.com/FlowsheetSimulation/Dyssol-open
@@ -63,14 +65,14 @@
  This package contains dyssol`s development files nad headers
 
 Package: libdyssol1.0t64
-Provides: ${t64:Provides}
-Replaces: libdyssol1.0
-Breaks: libdyssol1.0 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
+Breaks: libdyssol1.0 (<< ${source:Version})
+Provides: ${t64:Provides}
+Replaces: libdyssol1.0
 Description: Tool for dynamic flowsheet simulation. Shared libraries
  Dynamic simulation of solids processes, is a dynamic flowsheet modelling system
  designed to simulate the time-dependent behaviour  of complex production
