=== debian/rules ===
#!/usr/bin/make -f

BUILDDIR = $(CURDIR)/debian/build

%:
	dh $@ --builddirectory=$(BUILDDIR)

export DEB_LDFLAGS_MAINT_APPEND = -Wl,-no-keep-memory

execute_after_dh_auto_configure:
	cd $(BUILDDIR) && $(MAKE) doc

execute_after_dh_installdocs-indep:
	dh_sphinxdoc
	find $(CURDIR)/debian/dyssol-doc -type f -print0 | xargs -0 sed -i 's/https:\/\/cdn\.jsdelivr\.net//g'

override_dh_auto_clean:
	dh_auto_clean
	rm -rf $(BUILDDIR)
