## dyssol 1.5.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,14 +1,14 @@
-# Copyright (c) 2020, Dyssol Development Team. 
+# Copyright (c) 2020, Dyssol Development Team.
 # Copyright (c) 2021, Anton Gladky <Anton.Gladky@iart.tu-freiberg.de>, IART, Technical University Bergakademie Freiberg
-# Copyright (c) 2024, DyssolTEC GmbH. 
+# Copyright (c) 2024, DyssolTEC GmbH.
 # All rights reserved. This file is part of Dyssol. See LICENSE file for license information.
 
 # TODO: option to disable shared libs
 
-cmake_minimum_required(VERSION 3.1.0)
-
-set (VERSION 1.4.0)
-set (SOVERSION 1.4)
+cmake_minimum_required(VERSION 3.5.0)
+
+set (VERSION 1.5.0)
+set (SOVERSION 1.5)
 
 OPTION(BUILD_BINARIES "Whether to build binary files" ON)
 OPTION(BUILD_DOCS "Whether to build documentation" ON)
@@ -25,9 +25,10 @@
 SET(CMAKE_INSTALL_RPATH ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR})
 SET(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
 
-SET(INSTALL_UNITS_LIB_PATH  ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}/Dyssol/Units)
-SET(INSTALL_MATERIALDB_PATH  ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_DATADIR}/Dyssol/MaterialsDB)
+SET(INSTALL_UNITS_LIB_PATH  ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}/Dyssol/Units/)
+SET(INSTALL_MATERIALDB_PATH  ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_DATADIR}/Dyssol/MaterialsDB/)
 SET(INSTALL_DOCS_PATH  ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_DATADIR}/Dyssol/docs)
+SET(INSTALL_EXAMPLES_PATH  ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_DATADIR}/Dyssol/Examples/)
 SET(INSTALL_CONFIG_PATH  ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_DATADIR}/Dyssol/)
 SET(INSTALL_HEADERS_PATH  ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_INCLUDEDIR}/)
 
@@ -114,7 +115,22 @@
   CONFIGURE_FILE("${CMAKE_SOURCE_DIR}/DyssolGUI/config.ini.in" "${CMAKE_BINARY_DIR}/config.ini")
   INSTALL(FILES "${CMAKE_BINARY_DIR}/config.ini" DESTINATION ${INSTALL_CONFIG_PATH})
   INSTALL(FILES "${CMAKE_SOURCE_DIR}/Materials.dmdb" DESTINATION ${INSTALL_MATERIALDB_PATH})
-
+  INSTALL(DIRECTORY "${CMAKE_SOURCE_DIR}/DyssolInstallers/Data/Example Flowsheets/Units/" DESTINATION ${INSTALL_EXAMPLES_PATH} FILES_MATCHING PATTERN "*.dflw")
+  INSTALL(DIRECTORY "${CMAKE_SOURCE_DIR}/DyssolInstallers/Data/Example Flowsheets/Processes/" DESTINATION ${INSTALL_EXAMPLES_PATH} FILES_MATCHING PATTERN "*.dflw")
+  IF(NOT WIN32)
+    FILE(GLOB files "${CMAKE_SOURCE_DIR}/DyssolInstallers/Data/Example Flowsheets/Units/*.txt" "${CMAKE_SOURCE_DIR}/DyssolInstallers/Data/Example Flowsheets/Processes/*.txt")
+    foreach(script ${files})
+	  GET_FILENAME_COMPONENT(file_name ${script} NAME)
+      FILE(READ ${script} FILE_CONTENT)
+      STRING(REPLACE "C:\\Program Files\\Dyssol\\Units" "${INSTALL_UNITS_LIB_PATH}" FILE_CONTENT "${FILE_CONTENT}" )
+      STRING(REPLACE "C:\\Program Files\\Dyssol\\Solvers" "${INSTALL_UNITS_LIB_PATH}" FILE_CONTENT "${FILE_CONTENT}" )
+      STRING(REPLACE "C:\\Program Files\\Dyssol\\" "${INSTALL_MATERIALDB_PATH}" FILE_CONTENT "${FILE_CONTENT}" )
+      STRING(REPLACE ".\\" "./" FILE_CONTENT "${FILE_CONTENT}" )
+      FILE(WRITE "${CMAKE_BINARY_DIR}/Examples/${file_name}" "${FILE_CONTENT}")
+      INSTALL(FILES "${CMAKE_BINARY_DIR}/Examples/${file_name}" DESTINATION ${INSTALL_EXAMPLES_PATH})
+    endforeach()
+  ENDIF(NOT WIN32)
+  
   INSTALL(TARGETS DyssolC DESTINATION ${CMAKE_INSTALL_BINDIR})
   INSTALL(TARGETS libdyssol_shared DESTINATION ${CMAKE_INSTALL_LIBDIR})
   INSTALL(TARGETS libdyssol_static DESTINATION ${CMAKE_INSTALL_LIBDIR})
@@ -149,7 +165,6 @@
     "Unit_GranulatorSimpleBatch"
     "Unit_Mixer"
     "Unit_Screen_Molerus"
-    "Unit_Screen_Multideck"
     "Unit_Screen_Plitt"
     "Unit_Screen_Probability"
     "Unit_Screen_Teipel"
@@ -215,11 +230,12 @@
     "ModelsAPI/BaseUnit"
     "ModelsAPI/ChemicalReaction"
     "ModelsAPI/DenseMDMatrix"
-    "ModelsAPI/DistributionsFunctions"
+    "ModelsAPI/DistributionFunctions"
     "ModelsAPI/Holdup"
     "ModelsAPI/Matrix2D"
     "ModelsAPI/MixtureEnthalpyLookup"
     "ModelsAPI/PlotManager"
+    "ModelsAPI/PSDFunctions"
     "ModelsAPI/StateVariable"
     "ModelsAPI/Stream"
     "ModelsAPI/TransformMatrix"
