=== Units/CMakeLists.txt ===
--- 
+++ 
@@ -17,7 +17,6 @@
     "Mixer3"
     "Outlet"
     "Screen"
-    "ScreenMultideck"
     "Splitter"
     "Splitter3"
     "TimeDelay"
