=== debian/changelog ===
dyssol (1.5.0-1) unstable; urgency=medium

  * Upload to unstable

 -- Anton Gladky <gladk@debian.org>  Sat, 09 Aug 2025 21:54:05 +0200

dyssol (1.5.0-1~exp4) experimental; urgency=medium

  * [faab054] Cleanup in d/control and d/rules

 -- Anton Gladky <gladk@debian.org>  Sun, 08 Jun 2025 12:06:47 +0200

dyssol (1.5.0-1~exp3) experimental; urgency=medium

  * [04a18b5] Revert "Add mpi-default-dev into BD"

 -- Anton Gladky <gladk@debian.org>  Sat, 07 Jun 2025 20:23:37 +0200

dyssol (1.5.0-1~exp2) experimental; urgency=medium

  * [484d377] Add mpi-default-dev into BD

 -- Anton Gladky <gladk@debian.org>  Sat, 07 Jun 2025 19:23:48 +0200

dyssol (1.5.0-1~exp1) experimental; urgency=medium

  * [e2ebd14] New upstream version 1.5.0
  * [9ff99eb] Refresh patches

 -- Anton Gladky <gladk@debian.org>  Fri, 06 Jun 2025 21:07:01 +0200
