=== debian/control ===
Source: dyssol
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Anton Gladky <gladk@debian.org>
Section: science
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               libgraphviz-dev,
               libhdf5-dev,
               libsundials-dev,
               qtbase5-dev,
               libqt5opengl5-dev,
               zlib1g-dev,
               python3-sphinx,
               python3-sphinx-rtd-theme,
               python3-breathe,
               doxygen,
               texlive-xetex,
               tex-gyre,
               texlive-fonts-recommended
Standards-Version: 4.7.2
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/science-team/dyssol
Vcs-Git: https://salsa.debian.org/science-team/dyssol.git
Homepage: https://github.com/FlowsheetSimulation/Dyssol-open

Package: dyssol
Architecture: any
Multi-Arch: foreign
Depends: libdyssol1.0t64 (= ${binary:Version}),
         dyssol-data,
         ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Tool for dynamic flowsheet simulation - command line tool
 Dynamic simulation of solids processes, is a dynamic flowsheet modelling system
 designed to simulate the time-dependent behaviour of complex production
 processes in solids processing technology.
 .
 This package contains the command line tool.

Package: dyssol-gui
Architecture: any
Multi-Arch: foreign
Depends: libdyssol1.0t64 (= ${binary:Version}),
         dyssol-data,
         ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Tool for dynamic flowsheet simulation - GUI
 Dynamic simulation of solids processes, is a dynamic flowsheet modelling system
 designed to simulate the time-dependent behaviour of complex production
 processes in solids processing technology.
 .
 This package contains the GUI.

Package: libdyssol-dev
Architecture: any
Section: libdevel
Depends: libdyssol1.0t64 (= ${binary:Version}),
         ${misc:Depends}
Description: Tool for dynamic flowsheet simulation - development files and headers
 Dynamic simulation of solids processes, is a dynamic flowsheet modelling system
 designed to simulate the time-dependent behaviour of complex production
 processes in solids processing technology.
 .
 This package contains development files and headers.

Package: libdyssol1.0t64
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Breaks: libdyssol1.0 (<< ${source:Version})
Provides: ${t64:Provides}
Replaces: libdyssol1.0
Description: Tool for dynamic flowsheet simulation - shared libraries
 Dynamic simulation of solids processes, is a dynamic flowsheet modelling system
 designed to simulate the time-dependent behaviour of complex production
 processes in solids processing technology.
 .
 This package contains the shared libraries.

Package: dyssol-data
Architecture: all
Depends: ${misc:Depends}
Recommends: dyssol
Description: Tool for dynamic flowsheet simulation - data files
 Dynamic simulation of solids processes, is a dynamic flowsheet modelling system
 designed to simulate the time-dependent behaviour of complex production
 processes in solids processing technology.
 .
 This package contains examples and data files.

Package: dyssol-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends},
         ${misc:Depends},
         libjs-mathjax
Recommends: dyssol
Description: Tool for dynamic flowsheet simulation - documentation
 Dynamic simulation of solids processes, is a dynamic flowsheet modelling system
 designed to simulate the time-dependent behaviour of complex production
 processes in solids processing technology.
 .
 This package contains documentation.
