=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,6 @@
 	dh_sphinxdoc
 	find $(CURDIR)/debian/dyssol-doc -type f -print0 | xargs -0 sed -i 's/https:\/\/cdn\.jsdelivr\.net//g'
 
-override_dh_auto_clean:
-	dh_auto_clean
+execute_after_dh_auto_clean:
 	rm -rf $(BUILDDIR)
+
