=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/Dyssol-open-$1\.tar\.gz/ \
  https://github.com/FlowsheetSimulation/Dyssol-open/tags .*/v?(\d\S+)\.tar\.gz
